{% extends "cabecera/cabecera.html" %}
{% load url from future %}

{% block contenido %}

  <form action="{% url 'ventas' %}" method="post">
  {% csrf_token %}
    <div id="izquierda">
      <b>Código o nombre:</b><br>
      <input type="textfield" name="busqueda" id="to_finish" autocomplete="off"><br>
      <input name="Buscar" type="submit" value="Buscar">
      <input name="Limpiar" type="submit" value="Limpiar">
      <br><br>
      <select name="scroll_box_izq" size="5" id="scroll_box_izq">
        {% for articulo, precio, id_articulo in lista_busqueda %}
          <option name="selectBusqueda" value="{{ articulo|add:"|"|add:precio|add:"|"|add:id_articulo }}"> {{ articulo }} - {{ precio }} € </option><br>
        {% endfor %}
      </select>
      <div align="right">
        Cantidad: <input type="textfield" name="cantidad" id="cantidad" autocomplete="off">
        <input name="aniadirAlCarro" type="submit" value="Añadir">
      </div>

      <div>
        <div id="izquierda">
          <b>Cliente:</b><br>
            {% if cliente_bloqueado == "no" %}
              <select name="cliente" id="combo_box">
                {% for item in lista_clientes %}
                  {% if item == cliente_seleccionado %}
                    <option value="{{ item }}" selected="selected">{{ item }}</option>
                  {% else %}
                    <option value="{{ item }}">{{ item }}</option>
                  {% endif %}
                {% endfor %}          
              </select><br>
              <input type="textfield" name="filtroUsuario" id="combo_box" autocomplete="off">
              <input name="filtrarUsuario" type="submit" value="Filtrar Cliente">
            {% else %}
              {{ cliente_seleccionado }}
            {% endif %}
          <div align="center">
            <br>
            <a id="rojo">{{ mensaje }}</a>
          </div>
        </div>
      </div>
    </div>

    <div id="derecha">
      <b>Cesta de la compra:</b><br>
      <select name="scroll_box_der" id="scroll_box_der" size="5">
        {% for articulo, cantidad, precio, id_articulo in cesta_compra %}
        <option name="select_cesta" value="{{ articulo|add:"|"|add:cantidad|add:"|"|add:precio|add:"|"|add:id_articulo }}"> {{ articulo }} - x{{ cantidad }} - {{ precio }}€ </option><br>
        {% endfor %}
      </select>
      <div>
        <input type="submit" name="eliminar" align="left" value="Eliminar">
        <input id="biginput" type="submit" name="vender" align="center" value="VENDER">
      </div>

      
      <br>
      <b>Cuentas:</b>
      <div id="precios">
        <div id="columna1">
          TOTAL:<br>
          {{ total }} €
        </div>
        <div id="columna2">
          ENTREGA: {{ entrega }} €
          <input type="textfield" name="paga" id="minitext" autocomplete="off">
          <input type="submit" name="calcular" value="Cobrar">
        </div>
        <div id="columna3">
          CAMBIO:<br>
          {{ cambio }} €
        </div>
      </div>
    </div>    
  </form>

{% endblock %}


